### Property

# Soup Session:local-address

since: 3.0

#### Declaration

    property local-address: Gio.InetSocketAddress [ read, write, construct-only ]

#### Description [src]

Sets the `GInetSocketAddress` to use for the client side of the connection.

Use this property if you want for instance to bind the local socket to a specific IP address.

Type: | `GInetSocketAddress`
Available since: | 3.0

Getter method | `soup_session_get_local_address()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes